English Amiga Board


Go Back   English Amiga Board > Support > support.FS-UAE

 
 
Thread Tools
Old 28 March 2019, 16:22   #1
tommywright
Registered User

 
Join Date: Mar 2019
Location: Asheville, NC
Posts: 3
version Qt_5 not defined in file libQt5Core.so.5 with link time reference

Hi guys!


I've installed fs-uae on Linux Mint 19 from the Software Manager but when I go to run it, I get this error:

Code:
ImportError: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5: symbol _ZNK11QLocaleData13validateCharsERK7QStringNS_10NumberModeEP10QByteArrayi6QFlagsIN7QLocale12NumberOptionEE version Qt_5 not defined in file libQt5Core.so.5 with link time reference
Any help would be appreciated.
tommywright is offline  
Old 29 March 2019, 23:22   #2
tommywright
Registered User

 
Join Date: Mar 2019
Location: Asheville, NC
Posts: 3
I'm gonna bump this... still can't figure it out and have searched everywhere with pretty limited answers.
tommywright is offline  
Old 30 March 2019, 09:31   #3
Nova
Registered User

Nova's Avatar
 
Join Date: Sep 2012
Location: Peristaltic City
Posts: 237
sorry, i can't help you with that specific error, but have you tried with the portable version of fs-uae?

for linux, see here: http://fs-uae.net/devel/2.9.7dev2/
Nova is offline  
Old 30 March 2019, 16:24   #4
alkis
Registered User

 
Join Date: Dec 2010
Location: Athens/Greece
Age: 48
Posts: 485
I tried fs-uae in mint19.1. Got segmentation fault. (nothing complaining about Qt though)
I removed the package, got the source, compiled & run. Segmentation fault again (still not Qt related).

After browsing the internets, this solves it for me
LD_PRELOAD=/lib/x86_64-linux-gnu/libcrypt.so.1 fs-uae

Again, your error seems to be Qt related, but hey who knows.
alkis is online now  
Old 31 March 2019, 05:10   #5
Hewitson
Registered User
Hewitson's Avatar
 
Join Date: Feb 2007
Location: Melbourne, Australia
Age: 36
Posts: 2,983
Possible version mismatch between qt5-core and qt5-gui libraries?
Hewitson is offline  
Old 02 April 2019, 17:21   #6
tommywright
Registered User

 
Join Date: Mar 2019
Location: Asheville, NC
Posts: 3
This all sounds pretty over my head. I couldn't even get the portable version unpacked. Fs-uae might be a bit too techy for me.
tommywright is offline  
Old 02 April 2019, 17:43   #7
Nova
Registered User

Nova's Avatar
 
Join Date: Sep 2012
Location: Peristaltic City
Posts: 237
it is a .tar.xz, so you might need to install the optional xz library for your archiver of choice.

in case all things break, try peazip from repo or portable for linux: http://www.peazip.org/peazip-linux.html

good luck
Nova is offline  
Old 17 April 2019, 16:17   #8
ztronzo
Registered User

ztronzo's Avatar
 
Join Date: Sep 2015
Location: Montreal
Posts: 102
Please try downloading AmigaLive for Linux from www.amigalive.com
I have created an installatiom script for Linux and tested with Mint 19 without issues, it can be used as a portable FS-UAE version after you run the install.sh it installs all dependencies required for fs-uae and fs-uae-launcher and dow loads the proper binary of fs-uae.
Check contents of readme.txt and install.sh

Sent from my SM-G920W8 using Tapatalk
ztronzo is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
BB2 User Defined Language for Notepad++ MickGyver Coders. Blitz Basic 86 09 April 2019 00:59
Double Dragon Amos file download link Brick Nash Coders. AMOS 11 28 September 2017 23:20
A500/A2000 Technical Reference Manual revised version differences mark_k Coders. General 0 20 December 2012 22:37
Faces which defined the Amiga Tolls Nostalgia & memories 25 02 June 2011 22:02
Hardware reference manual pdf version TRoNi Coders. General 4 30 November 2009 08:48

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 22:16.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Page generated in 0.07021 seconds with 15 queries